#include "FreqSwitcherInterfaceDto.h"

FreqSwitcherInterfaceDto::FreqSwitcherInterfaceDto(QObject *parent) : DeviceFrameBaseDto(parent)
{

}

QJsonObject FreqSwitcherInterfaceDto::toJSON()
{
    QJsonObject jsonObj;

    QJsonObject dataObj;
    dataObj.insert("ctrlStatus", ctrlStatus);

    jsonObj.insert("ts", this->milisecond);
    jsonObj.insert("frameType", this->frameType);
    jsonObj.insert("data", dataObj);

    return jsonObj;
}
